﻿using System;
using System.ComponentModel;
using System.Windows.Threading;
using Microsoft.Phone.Controls;

namespace PhoneApp1
{
    public partial class MainPage : PhoneApplicationPage, INotifyPropertyChanged
    {
        DispatcherTimer _timer;

        string _time;
        public string Time
        {
            get { return _time; }
            set
            {
                _time = value;
                OnPropertyChanged("Time");
            }
        }

        public virtual void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged == null)
            {
                return;
            }

            PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }

        // Constructor
        public MainPage()
        {
            InitializeComponent();

            _timer = new DispatcherTimer();
            _timer.Tick += _timer_Tick;
            _timer.Interval = new TimeSpan(0, 0, 1); // 1초 마다 발생
            _timer.Start();
        }

        void _timer_Tick(object sender, EventArgs e)
        {
            this.Time = DateTime.Now.ToLongTimeString();
            //   this.lblTime.Content = DateTime.Now.ToLongTimeString();
        }

        public event PropertyChangedEventHandler PropertyChanged;
    }
}